Results 1 to 5 of 5

Thread: 11.04, how to downgrade to Firefox 3.6

  1. #1
    Join Date
    Feb 2011
    Beans
    11

    11.04, how to downgrade to Firefox 3.6

    After upgrading to Ubuntu 11.04 and consequently to Firefox 4.0, Firefox crashes repeatedly. I have not installed any plugins, or extensions or themes. I want to downgrade to Firefox 3.6, but there seems to be no easy way to do this other than downloading the binary from Mozilla.

    Is there any PPA from where I can get the lower version of Firefox?

  2. #2
    Join Date
    Aug 2010
    Beans
    Hidden!

    Re: 11.04, how to downgrade to Firefox 3.6

    I would like to go back to 3.6 as well. firefox 4 will not even start. I am using classic login. I am not impressed with the new look and features of the default login. Not enough control and too much mouse travel to get anything done.

    Using classic login when I click firefox (fresh boot or not makes no difference) I get at the bottom of the screen "firefox web browser starting" stays there for 10 seconds or so and goes away. A firefox screen never shows up.

    Had to go to chrome till I can figure out what is going on with firefox.

    Looking for any help. I will be glad to feed results of trouble shooting commands.

    Thanks,
    Brian

    Have latest updates as of about 30 min ago.

  3. #3
    Join Date
    Jun 2008
    Beans
    6

    Re: 11.04, how to downgrade to Firefox 3.6

    Has anyone made any progress with this? I'm in more or less the same boat. I'm not having your stability issues, but I have a LOT of required extensions that aren't Firefox 4 compatible yet.

    I downloaded the 3.6.17 installer from here:http://www.mozilla.com/en-US/firefox/all-older.html

    It's up and running and seems to work for the most part. But a lot of the button images in the interface are missing - back, forward, refresh, stop, close tab, etc. Going by the error messages I see in the console when launching Firefox it's a 32-vs-64 bit compatibility issue. I'm running a 64-bit system and the version Mozilla offers for download is 32-bit.

    I've googled all over for the issue, and all the responses say it should work but I might need to install ia32-libs. Problem is, it's already installed. So it's either not working or being ignored.

    I'm still very much hoping to find a proper PPA somewhere that is both locked at Firefox 3 and Natty-compatible, since that will hopefully take care of any dependency issues itself. Every PPA I've found is either running version 4 stable or newer, or else it's only runnable on Lucid or Maverick.

    Hopefully someone has found a workable downgrade method?

  4. #4
    Join Date
    Jan 2010
    Beans
    50

    Re: 11.04, how to downgrade to Firefox 3.6

    Same situation. Adblock Plus isn't compatible, well it's updated but it doesn't play nicely w/ ff 4 and keeps freezing everything up and slowing everything down so I had to disable it and oh, the internet is a bad place w/ all of those ads! FF4 uses A LOT of ram and I'm not on the newest computer over here... I need all my ram used carefuly *lol* I'm so sorry I upgraded and really need a way to go back. Anyone w/ any ideas?

  5. #5
    Join Date
    Jun 2008
    Beans
    6

    Re: 11.04, how to downgrade to Firefox 3.6

    The directions here worked great for me:

    http://ubuntuforums.org/showthread.p...7#post10871757

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •